# gdcm::DictEntry Class Reference

Class to represent an Entry in the Dict Does not really exist within the DICOM definition, just a way to minimize storage and have a mapping from gdcm::Tag to the needed information. More...

`#include <gdcmDictEntry.h>`

Collaboration diagram for gdcm::DictEntry:
[legend]

List of all members.

## Public Member Functions
| DictEntry (const char *name="", VR const &vr=VR::INVALID, VM const &vm=VM::VM0, bool ret=false)
const char * | GetKeyword () const
| same as GetName but without spaces
const char * | GetName () const
| Set/Get Name.
bool | GetRetired () const
| Set/Get Retired flag.
const VM & | GetVM () const
| Set/Get VM.
const VR & | GetVR () const
| Set/Get VR.
bool | IsUnique () const
void | SetElementXX (bool v)
| Set whether element is shared in multiple elements (Source Image IDs typically).
void | SetGroupXX (bool v)
| Set whether element is shared in multiple groups (Curve/Overlay typically).
void | SetName (const char *name)
void | SetRetired (bool retired)
void | SetVM (VM const &vm)
void | SetVR (const VR &vr)
## Friends
std::ostream & | operator<< (std::ostream &_os, const DictEntry &_val)

## Detailed Description

Class to represent an Entry in the Dict Does not really exist within the DICOM definition, just a way to minimize storage and have a mapping from gdcm::Tag to the needed information.

Note:
  bla TODO FIXME: Need a PublicDictEntry...indeed DictEntry has a notion of retired which does not exist in PrivateDictEntry...

See also:
  gdcm::Dict

Examples:

  PublicDict.cxx.

## Constructor & Destructor Documentation

gdcm::DictEntry::DictEntry | ( | const char * | name = `""`,
|  | VR const & | vr = `VR::INVALID`,
|  | VM const & | vm = `VM::VM0`,
|  | bool | ret = `false` |
| ) |  |  | `[inline]`

## Member Function Documentation

const char* gdcm::DictEntry::GetKeyword | ( |  | ) | const`[inline]`

same as GetName but without spaces

const char* gdcm::DictEntry::GetName | ( |  | ) | const`[inline]`

Set/Get Name.

Referenced by gdcm::PrivateDict::PrintXML().

bool gdcm::DictEntry::GetRetired | ( |  | ) | const`[inline]`

Set/Get Retired flag.

const VM& gdcm::DictEntry::GetVM | ( |  | ) | const`[inline]`

Set/Get VM.

Referenced by gdcm::PrivateDict::AddDictEntry(), and gdcm::PrivateDict::PrintXML().

const VR& gdcm::DictEntry::GetVR | ( |  | ) | const`[inline]`

Set/Get VR.

Referenced by gdcm::PrivateDict::AddDictEntry(), and gdcm::PrivateDict::PrintXML().

bool gdcm::DictEntry::IsUnique | ( |  | ) | const`[inline]`

Return whether the name of the DataElement can be considered to be unique. As of 2008 all elements name were unique (except the expclitely 'XX' ones)

void gdcm::DictEntry::SetElementXX | ( | bool | v | ) | `[inline]`

Set whether element is shared in multiple elements (Source Image IDs typically).

void gdcm::DictEntry::SetGroupXX | ( | bool | v | ) | `[inline]`

Set whether element is shared in multiple groups (Curve/Overlay typically).

void gdcm::DictEntry::SetName | ( | const char * | name | ) | `[inline]`

void gdcm::DictEntry::SetRetired | ( | bool | retired | ) | `[inline]`

void gdcm::DictEntry::SetVM | ( | VM const & | vm | ) | `[inline]`

void gdcm::DictEntry::SetVR | ( | const VR & | vr | ) | `[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const DictEntry & | _val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmDictEntry.h